Bug 173769 - OO.o crash - ScDPSaveData::GetExistingDimensionByName
OO.o crash - ScDPSaveData::GetExistingDimensionByName
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-20 15:46 EST by Ian Pilcher
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.1-143.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 04:18:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2005-11-20 15:46:21 EST
Description of problem:
Yet another OpenOffice.org crash report.  This crash occurred while the system
was unattended, with a simple spreadsheet open.


Version-Release number of selected component (if applicable):
openoffice.org-calc-2.0.0-3.2.1

How reproducible:
intermittent

Steps to Reproduce:
1.  gdb /usr/lib/openoffice.org2.0/program/scalc.bin
2.  run -calc
3.  Enter some data in the spreadsheet
4.  Leave the spreadsheet open over the weekend
  
Actual results:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208210976 (LWP 9006)]
0x066d06bc in svx::frame::Array::Initialize ()
   from /usr/lib/openoffice.org2.0/program/libsvx680li.so
(gdb) bt
#0  0x066d06bc in svx::frame::Array::Initialize ()
   from /usr/lib/openoffice.org2.0/program/libsvx680li.so
#1  0x070d253e in ScDPSaveData::GetExistingDimensionByName ()
   from /usr/lib/openoffice.org2.0/program/libsc680li.so
#2  0x06ed73d5 in ScTabViewShell::ExecuteObject ()
   from /usr/lib/openoffice.org2.0/program/libsc680li.so
#3  0x06e72f20 in ScDocShell::Draw ()
   from /usr/lib/openoffice.org2.0/program/libsc680li.so
#4  0x061b6494 in SfxObjectShell::FillTransferableObjectDescriptor ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#5  0x061b65c9 in SfxObjectShell::DoDraw ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#6  0x0617e322 in SfxObjectShell::GetPreviewMetaFile ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#7  0x06172b62 in SfxObjectShell::WriteThumbnail ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#8  0x06173104 in SfxObjectShell::GenerateAndStoreThumbnail ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#9  0x061791e5 in SfxObjectShell::DoLoad ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#10 0x06179e94 in SfxObjectShell::DoLoad ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#11 0x0617a358 in SfxObjectShell::DoLoad ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#12 0x0617edf0 in SfxObjectShell::InitInterface_Impl ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#13 0x061a1ec5 in SfxBaseModel::changing ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
---Type <return> to continue, or q <return> to quit---
#14 0x061a540f in SfxBaseModel::storeToURL ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#15 0x0518a98f in component_getFactory ()
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#16 0x0518ae37 in component_getFactory ()
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#17 0x0518b280 in component_getFactory ()
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#18 0x0518b36c in component_getFactory ()
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#19 0x04a85300 in Help::ShowTip () from
/usr/lib/openoffice.org2.0/program/libvcl680li.so
#20 0x04a90dce in Timer::Timeout () from
/usr/lib/openoffice.org2.0/program/libvcl680li.so
#21 0x04a91148 in AutoTimer::AutoTimer$base ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#22 0x00e8ee51 in SalData::Timeout ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
#23 0x00e8ee3c in SalData::Timeout ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
#24 0x00e8e5e6 in SalXLib::CheckTimeout ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
#25 0x00e8e7ce in SalXLib::Yield ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
#26 0x00e95afa in X11SalInstance::Yield ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
#27 0x04a8b594 in Application::Yield ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#28 0x04a8b5ca in Application::Execute ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
---Type <return> to continue, or q <return> to quit---
#29 0x05040c73 in desktop::Desktop::Main ()
   from /usr/lib/openoffice.org2.0/program/libsoffice.so
#30 0x04a9099f in InitVCL () from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#31 0x04a90a4f in SVMain () from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#32 0x0503bad7 in sal_main () from /usr/lib/openoffice.org2.0/program/libsoffice.so
#33 0x0503bb23 in main () from /usr/lib/openoffice.org2.0/program/libsoffice.so
#34 0x00ab0d5f in __libc_start_main () from /lib/libc.so.6
#35 0x080484e1 in _start ()

Expected results:
Program should not crash.

Additional info:
When I initially ran calc by itself (not under gdb), the program was crashing
after only a few minutes of use -- completely unusable.  Possibly the latest
kernel upgraded exacerbated the problem?  (This is an SMP system.)  Running
under gdb, the program stayed up for several days.  I strongly suspect that
this is some sort of race condition.
Comment 1 Caolan McNamara 2005-11-21 05:00:12 EST
Yeah, I *think* we have this one tracked down and it will be ok for 2.0.1 due
out in the next few days
Comment 2 Tatiana 2005-12-02 15:30:20 EST
OpenOffice 2.0 writer is randomly crashing, with no obvious pattern in terms of
activity (I noticed it crashes on font changes, mouse operations, and typing).
I'm running it in FC4, on an i686 HP laptop.

The bug info is as follows:

0x11f028: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e028
0x11f7ee: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7ee
0xa05420:  + 0x420 (__kernel_sigreturn + 0x0)
0x576eb70: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xecb70
0x577027d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xee27d
(OutputDevice::DrawRect(Rectangle const&) + 0xc5)
0x578d794: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x10b794
0x578fe70: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x10de70
0x578fed5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x10ded5
(OutputDevice::Erase() + 0x59)
0x5790944: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x10e944
0x5790db0: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x10edb0
(VirtualDevice::VirtualDevice(unsigned short) + 0x4e)
0xb04bfcca: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x4d6cca
0xb056c7b7: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x5837b7
(SdrPageViewWindow::CreateViewSpecificObjectContact() + 0x27)
0xb056c7f2: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x5837f2
(SdrPageViewWindow::GetObjectContact() const + 0x1e)
0xb056e45a: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x58545a
(SdrPageViewWindow::Redraw(Region const&, unsigned short, unsigned char const*,
sdr::contact::ViewObjectContactRedirector*) const + 0x29a)
0xb0570160: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x587160
(SdrPageView::DrawLayer(unsigned char, Rectangle const&, OutputDevice*, unsigned
short) const + 0xae)
0xb0ab62d2: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1ce2d2
0xb0b9d7bf: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x2b57bf
0xb0ab9b9b: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1d1b9b
(ViewShell::ImplEndAction(unsigned char) + 0x5b5)
0xb0a95113: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1ad113
0xb0a9d5dc: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1b55dc
(SwCrsrShell::EndAction(unsigned char) + 0x7a)
0xb0a94f88: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1acf88
(SwEditShell::EndAllAction() + 0x30)
0xb0a8483b: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x19c83b
(SwEditShell::SetAttr(SfxItemSet const&, unsigned short) + 0xdb)
0xb0f1ccc3: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x634cc3
0xb0f33df8: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x64bdf8
0x5f03a46: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a6a46
0x5f02e2a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a5e2a
0x5f0331b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a631b
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x137)
0x5f0361f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a661f
(SfxDispatcher::Execute(unsigned short, unsigned short, unsigned short,
SfxItemSet const&) + 0xe3)
0x5efad09: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19dd09
0x5efb1af: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19e1af
0x5f27377: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ca377
(SfxToolBoxControl::Dispatch(com::sun::star::uno::Reference<com::sun::star::frame::XDispatchProvider>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>&) + 0x12b)
0xb03d6213: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x3ed213
0x5866cac: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1e4cac
0x5866cc8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1e4cc8
0x5704300: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82300
0x5883cde: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x201cde
0x58873c1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2053c1
0x5853a4e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d1a4e
(Window::EndTracking(unsigned short) + 0x116)
0x5857b5a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d5b5a
0x5859240: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d7240
0x585803e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d603e
0xe16a88: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28a88
0xe16613: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28613
0x6b2ebe2: /usr/lib/libgtk-x11-2.0.so.0 + 0x10bbe2
0xefc285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0xf0a75b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0xf0bc23: /usr/lib/libgobject-2.0.so.0 + 0x17c23 (g_signal_emit_valist + 0x41e)
0xf0c223: /usr/lib/libgobject-2.0.so.0 + 0x18223 (g_signal_emit + 0x29)
0x6c0a743: /usr/lib/libgtk-x11-2.0.so.0 + 0x1e7743
0x6b2d348: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a348 (gtk_propagate_event + 0xc1)
0x6b2d784: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a784 (gtk_main_do_event + 0x329)
0xe5fdf6: /usr/lib/libgdk-x11-2.0.so.0 + 0x3bdf6
0xf534ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0xf564d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0xf569b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0xe06bcf: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18bcf
0xffeafa: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45afa
(X11SalInstance::Yield(unsigned char) + 0x28)
0x570a594: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x88594
(Application::Yield() + 0x48)
0x570a5ca: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x885ca
(Application::Execute() + 0x26)
0x6369c73: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x21c73
(desktop::Desktop::Main() + 0x15ab)
0x570f99f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8d99f
0x570fa4f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8da4f (SVMain()
+ 0x29)
0x6364ad7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1cad7 (sal_main
+ 0x57)
0x6364b23: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1cb23 (main + 0x27)
0x6dbd5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484c5: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x4c5
Comment 3 Caolan McNamara 2005-12-05 04:18:31 EST
This may have been http://gcc.gnu.org/bugzilla/show_bug.cgi?id=25199.
2.0.1-143.2.1 is out today, if it doesn't fix this please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.